# PVideoInputPluginServiceDescriptor< className > Class Template Reference

`#include <videoio.h>`

Inheritance diagram for PVideoInputPluginServiceDescriptor< className >:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *caps) const

### template<class className>
class PVideoInputPluginServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* PVideoInputPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual bool PVideoInputPluginServiceDescriptor< className >::GetDeviceCapabilities | ( | const PString & | deviceName,
|  | void * | caps |
| ) |  |  | const`[inline, virtual]`

Reimplemented from PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray PVideoInputPluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- videoio.h